> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/rewards/list-rewards.md).

# List rewards

List rewards and filter them by partner and/or date range.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Api","Payout.View","Api"]}],"components":{"securitySchemes":{},"schemas":{"RewardListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/RewardDto"},"nullable":true},"paginationSkipCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","description":"Gets or sets the total number of items that could be returned by this command (without pagination).","format":"int32"}},"additionalProperties":false},"RewardDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"uniqueId":{"type":"string","nullable":true},"partnerId":{"type":"integer","format":"int32"},"dealId":{"type":"integer","format":"int32","nullable":true},"status":{"$ref":"#/components/schemas/RewardStatus"},"creationDate":{"type":"string","format":"date-time"},"amount":{"$ref":"#/components/schemas/AmountDto"},"payoutId":{"type":"integer","format":"int32","nullable":true},"comment":{"type":"string","nullable":true},"rewardType":{"$ref":"#/components/schemas/RewardType"},"properties":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false},"RewardStatus":{"enum":["Unknown","Pending","Accepted","Paid","Declined"],"type":"string"},"AmountDto":{"type":"object","properties":{"value":{"type":"number","format":"double"},"currency":{"type":"string","nullable":true}},"additionalProperties":false},"RewardType":{"enum":["Unknown","Cash","Coupon","Credit","GiftCard"],"type":"string"}}},"paths":{"/v3/rewards":{"get":{"tags":["Rewards"],"summary":"List rewards","description":"List rewards and filter them by partner and/or date range.","parameters":[{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first transaction to be returned.","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of transactions to be returned. The default is 20.","schema":{"type":"integer","format":"int32"}},{"name":"sort_by","in":"query","description":"The property used to sort the transactions by. The default is CreationDate.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned transactions. Accepted values: ASC, DESC. The default is DESC.","schema":{"type":"string"}},{"name":"from","in":"query","description":"From date inclusive","schema":{"type":"string","format":"date-time"}},{"name":"to","in":"query","description":"To date exclusive","schema":{"type":"string","format":"date-time"}},{"name":"partner_id","in":"query","description":"The partner ID","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Rewards returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RewardListResponseDto"}}}},"403":{"description":"Partner program settings do not grant access to rewards"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/rewards/list-rewards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
